[Overview][Types][Classes][Index] | Reference for unit 'resdatastream' (#fcl-res)

# TResourceDataStream.Cached

Controls the copy-on-write behaviour of the stream

## Declaration

Source position: resdatastream.pp line 82

`public property TResourceDataStream.Cached : Boolean read GetCached write SetCached;`

## Description

When this property is set to true, a cached stream is used as the underlying stream for read operations. If it is set to false, no caching is performed and data is always copied to a memory stream.

Note that this property does nothing if the underlying stream is a custom stream.

By default this property is true.

## See also

TResourceDataStream |  | Stream class that provides copy-on-write functionality
TAbstractResource.CacheData |  | Controls the copy-on-write behaviour of the resource